Payment batches & settlement
Submit Schedule Settlement Parts
Name and signature indicate it submits schedule settlement parts
POSThttps://api.toku.com/tga/submit-schedule-settlement-parts
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/tga/submit-schedule-settlement-parts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"taxReferenceID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"providerName": "SAFE",
"custodyWalletIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"selectionMode": "PER_ALLOCATION"
}'200 response
{
"success": true,
"providerName": "SAFE",
"results": [
{
"custodyWalletID": "string",
"transactionID": "string",
"providerName": "SAFE",
"submittedAmount": "string"
}
],
"failures": [
{
"custodyWalletID": "string",
"message": "string",
"code": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
taxReferenceIDstring<uuid>requiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
custodyWalletIDsstring<uuid>[]requiredselectionModestringAvailable options: PER_ALLOCATION, MINIMAL_WALLETS
Response
200Successful response
successbooleanrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
resultsobject[]requiredShow child attributes
custodyWalletIDstringrequiredtransactionIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
submittedAmountstringrequiredfailuresobject[]requiredShow child attributes
custodyWalletIDstringrequiredmessagestringrequiredcodestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits